QTPY-GET-DEPENDENCIES(1)

NAME
qtpy-get-dependencies - get Debian package dependencies for qtpy modules

SYNOPSIS
qtpy-get-dependencies [-h] [--pyqt5 | --pyqt6 | --pyside6] [--version] module [module ...]

List Debian package dependencies for a set of QtPy modules

DESCRIPTION
A qtpy-using package requires a Python Qt library behind it. This script takes a list of QtPy modules (obtained, for example, by searching a package's source files for the string "from qtpy import"), and returns a list of Debian packages required for this package, ready to be included in the binary Depends field of the package's debian/control file.

See the file /usr/share/doc/python3-qtpy/README.Debian for more information on the way that qtpy chooses which backend to use.

OPTIONS

-h, --help
    show this help message and exit

--pyqt5
    Give PyQt5 dependencies (default)

--pyqt6
    Give PyQt6 dependencies

--pyside6
    Give PySide 6 dependencies

--version
    show program's version number and exit

module
    Name of qtpy module imported (with or without leading 'qtpy.')